N=8;
x_n=[1 1 1 1 1 0 0 0];              
omega0=2*pi/N;                                       
n=-N/2+1:N/2;
W_N=exp(-1j*omega0*n); 
for k=1:N                                          
   a_k(k)=sum(x_n.*W_N.^(k-1))/N;                     
end
a_k;
a_mag=abs(a_k);
a_phase=angle(a_k);
k=0:N-1;
subplot(211)
stem(k,a_mag);
xlabel('k');
ylabel('\bf{|a_k|}');
title('Magnitude Response');
subplot(212)
stem(k,a_phase);
xlabel('k');
ylabel('\bf{\anglea_k}');
title('Phase Response');