dt = 1/100; tmax = 4; 
t = 0:dt:tmax; 
x_t = cos(2*pi*t);
X_f = fft(x_t); 
N = length(x_t); 
X_spec=abs(X_f)/N;
freq=(0:N-1);
subplot(211); 
plot(t,x_t); 
grid;
axis([0 tmax -2 2]); 
xlabel('Time (t)'); 
ylabel('x(t)');
subplot(212); 
plot(freq,X_spec);
grid;
xlabel('Frequency (Hz)'); 
ylabel('X(f)');



