function a = routh(c)

n = length(c)-1;				

if mod(n,2) == 0,				
	ncol=(n/2)+1;
else
	ncol=(n+1)/2;
end

a = zeros(n+1,ncol);				

for i = 1:ncol					
	a(1,i) = c(2*i-1);
end

for i = 1:ncol-1				
	a(2,i) = c(2*i);
end

if mod(n,2) == 1,
	a(2,ncol) = c(n+1);
end

for i = 3:n+1					
for j = 1:ncol-1
	a(i,j) = (a(i-1,1)*a(i-2,j+1) - a(i-1,j+1)*a(i-2,1)) / a(i-1,1);
end
end





 


